
app.displayDialogs = DialogModes.NO;

var doc = app.activeDocument;

var startHistory = doc.activeHistoryState;

var width = doc.width;
var height = doc.height;

var output = File.saveDialog("Saved Where?");
var str = output+"";
if (str.substr(str.length-4) == ".png"){
	output = new File(str.substr(0,str.length-4));
}

var atTwoX = new File(output+"@2x.png");
var atNoX = new File(output+".png");

var options = new PNGSaveOptions();
options.interlaced = false;

doc.saveAs(atTwoX, options, false);

doc.resizeImage( width / 2.0, height / 2.0 );
doc.resizeCanvas( width / 2.0, height / 2.0 );

doc.saveAs(atNoX, options, false);



doc.resizeImage( width, height );
doc.resizeCanvas( width, height );


doc.activeHistoryState = startHistory;